
QGIS Application - Bug report #10237

project loads layers not seen in legend

2014-05-12 08:21 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18676

Description

Hi, 

a user here produces qgs with more map layers than really existing in legend tree (24 in legend, with 59 maplayers)

I couldn't find a similar openened issue. See attached qgs file. 

Version used is qgis 2.2. It is possible that issue comes from old 1.8 qgs file, but I can't be sure.  

Anyway, QGIS should erase unused maplayers in qgs.. 

Régis

History

#1 - 2014-05-12 08:31 AM - Regis Haubourg

- File CouchesFantomessave2.qgs added

attached qgs

#2 - 2014-05-13 12:17 PM - Giovanni Manghi

we have also seen many times this issue: it seems that when removing layers form a project then sometimes the layers definitions are left inside the qgs

file.

This is a serious issue and should be discussed in detail in the dev mailing list.

#3 - 2014-05-14 05:00 AM - Regis Haubourg

done here: [[http://osgeo-org.1560.x6.nabble.com/QGIS-saves-ghost-layers-in-projects-td5140210.html]]

#4 - 2014-06-24 01:51 AM - Regis Haubourg

Hi, this very annoying problem still remains. Several users are affected here. I think we can't let that to a normal priority, since there is no way cleaning the

problem.

#5 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#6 - 2017-05-01 01:08 AM - Giovanni Manghi
http://osgeo-org.1560.x6.nabble.com/QGIS-saves-ghost-layers-in-projects-td5140210.html


- Regression? set to No

- Easy fix? set to No

#7 - 2018-02-25 11:00 AM - Regis Haubourg

- Description updated

- Status changed from Open to Feedback

Does anyone still see ghost layers in project files with 3.0?

#8 - 2018-08-16 11:05 AM - Giovanni Manghi

Regis Haubourg wrote:

Does anyone still see ghost layers in project files with 3.0?

is this still true on 3.*?

#9 - 2018-08-22 05:25 PM - Regis Haubourg

- Status changed from Feedback to Closed

Not that I know of, let's close.

#10 - 2018-08-22 09:55 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

CouchesFantomessave2.qgs 788 KB 2014-05-12 Regis Haubourg
